package cn.reghao.tnb.file.app.zdisk.model.query;

import lombok.Getter;

/**
 * @author reghao
 * @date 2025-08-29 20:08:34
 */
@Getter
public class CamDeviceQuery {
    private Long camId;
    private String camName;
    private Long addBy;

    private CamDeviceQuery(Builder builder) {
        this.camId = builder.camId;
        this.camName = builder.camName;
        this.addBy = builder.addBy;
    }

    public static final class Builder {
        private Long camId;
        private String camName;
        private Long addBy;

        public Builder() {
        }

        public Builder camId(long camId) {
            this.camId = camId;
            return this;
        }

        public Builder camName(String camName) {
            this.camName = camName;
            return this;
        }

        public Builder addBy(long addBy) {
            this.addBy = addBy;
            return this;
        }

        public CamDeviceQuery build() {
            return new CamDeviceQuery(this);
        }
    }
}
